> ## Documentation Index
> Fetch the complete documentation index at: https://portal.itscovered.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quote Display

> Get display information for a quote

## Overview

The Get Quote Display endpoint returns quote information formatted specifically for displaying quoting results to end users in your application. Unlike the general [`GET /v1/loans/{id}`](/api-reference/endpoint/get_loan_application) endpoint which returns raw loan application data, this endpoint returns:

* Only the quotes that are intended for user-facing display (filtered by our UI preferences)
* Quotes formatted exactly as they should appear to the user
* Information about which quote the user has selected (if any)


## OpenAPI

````yaml get /v1/loans/{id}/shop/display
openapi: 3.1.0
info:
  description: Development documentation
  title: Lenders API
  version: 1.4.0
servers:
  - url: https://sandbox-api.itscovered.com/lenders
security: []
tags:
  - description: Health check
    name: health
  - description: Loans
    name: loans
  - description: Policies
    name: policies
  - description: Authentication
    name: auth
paths:
  /v1/loans/{id}/shop/display:
    get:
      tags:
        - loans
      summary: Get quote display
      description: Get display information for a quote
      operationId: getV1LoansByIdShopDisplay
      parameters:
        - description: The unique identifier of the loan application
          in: path
          name: id
          required: true
          schema:
            example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  contactPageUrl:
                    description: URL for the contact page for this loan application
                    format: uri
                    type: string
                  hostedDisplayUrl:
                    description: The URL of the hosted display for the insurance options
                    example: >-
                      https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  id:
                    description: The unique identifier of the loan application
                    example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  loanId:
                    type: string
                  quotes:
                    items:
                      description: The quote details
                      properties:
                        agentBridgeLink:
                          description: The bridge link for the agent to the carrier portal
                          example: https://example.com/agent-bridge
                          type: string
                        carrierId:
                          description: The unique identifier of the carrier
                          example: cad7127b-787c-4e33-8240-7344292c2962
                          type: string
                        carrierLogoUrl:
                          description: The URL of the carrier logo
                          example: https://example.com/carrier-logo.png
                          type: string
                        carrierName:
                          description: The name of the carrier
                          example: Carrier Name
                          type: string
                        coverages:
                          properties:
                            a:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            b:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            c:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            computers:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            d:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            e:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            f:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            hvac:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            mineSubsidence:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            waterBackup:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                          required:
                            - a
                            - b
                            - c
                            - d
                            - e
                            - f
                            - waterBackup
                          type: object
                        deductibles:
                          properties:
                            dwelling:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            wind:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                          required:
                            - dwelling
                          type: object
                        discounts:
                          properties:
                            autoBundle:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                              type: object
                          required:
                            - autoBundle
                          type: object
                        effectiveDate:
                          description: The effective date of the quote
                          example: '2024-01-01'
                          format: date
                          type: string
                        endorsements:
                          properties:
                            floodZone:
                              properties:
                                included:
                                  type: boolean
                              required:
                                - included
                              type: object
                            swimmingPool:
                              properties:
                                included:
                                  type: boolean
                              required:
                                - included
                              type: object
                          required:
                            - swimmingPool
                            - floodZone
                          type: object
                        id:
                          description: The unique identifier of the quote
                          example: 7c7a39cc-256f-4514-92b9-a75dc37a581d
                          type: string
                        monthlyPremium:
                          description: The monthly premium of the quote
                          example: 100
                          type: number
                        policyType:
                          description: The type of policy
                          enum:
                            - HO3
                            - HO5
                            - HO6
                          example: HO3
                        premium:
                          description: The premium of the quote
                          example: 1200
                          type: number
                        status:
                          description: The status of the quote
                          enum:
                            - SUCCEEDED
                            - FAILED
                          example: SUCCEEDED
                        termLengthMonths:
                          description: The term length of the quote in months
                          example: 12
                          type: number
                      required:
                        - id
                        - policyType
                        - premium
                        - monthlyPremium
                        - termLengthMonths
                        - status
                        - carrierId
                        - carrierName
                        - carrierLogoUrl
                        - agentBridgeLink
                        - endorsements
                        - deductibles
                        - coverages
                        - effectiveDate
                      type: object
                    type: array
                  shortHostedDisplayUrl:
                    description: >-
                      Short URL for the hosted borrower quote experience, when
                      available
                    format: uri
                    type: string
                  status:
                    anyOf:
                      - const: NOT_YET_RATED
                        type: string
                      - const: RC1_RATING
                        type: string
                      - const: RC1_RATED
                        type: string
                      - const: RC2_RATING
                        type: string
                      - const: RC2_RATED
                        type: string
                      - const: RC1_ERRORED
                        type: string
                      - const: CLOSED_WON
                        type: string
                      - const: CLOSED_LOST
                        type: string
                    description: The status of the insurance options
                    example: RC1_RATING
                required:
                  - id
                  - loanId
                  - status
                  - hostedDisplayUrl
                  - quotes
                type: object
            multipart/form-data:
              schema:
                properties:
                  contactPageUrl:
                    description: URL for the contact page for this loan application
                    format: uri
                    type: string
                  hostedDisplayUrl:
                    description: The URL of the hosted display for the insurance options
                    example: >-
                      https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  id:
                    description: The unique identifier of the loan application
                    example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  loanId:
                    type: string
                  quotes:
                    items:
                      description: The quote details
                      properties:
                        agentBridgeLink:
                          description: The bridge link for the agent to the carrier portal
                          example: https://example.com/agent-bridge
                          type: string
                        carrierId:
                          description: The unique identifier of the carrier
                          example: cad7127b-787c-4e33-8240-7344292c2962
                          type: string
                        carrierLogoUrl:
                          description: The URL of the carrier logo
                          example: https://example.com/carrier-logo.png
                          type: string
                        carrierName:
                          description: The name of the carrier
                          example: Carrier Name
                          type: string
                        coverages:
                          properties:
                            a:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            b:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            c:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            computers:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            d:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            e:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            f:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            hvac:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            mineSubsidence:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            waterBackup:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                          required:
                            - a
                            - b
                            - c
                            - d
                            - e
                            - f
                            - waterBackup
                          type: object
                        deductibles:
                          properties:
                            dwelling:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            wind:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                          required:
                            - dwelling
                          type: object
                        discounts:
                          properties:
                            autoBundle:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                              type: object
                          required:
                            - autoBundle
                          type: object
                        effectiveDate:
                          description: The effective date of the quote
                          example: '2024-01-01'
                          format: date
                          type: string
                        endorsements:
                          properties:
                            floodZone:
                              properties:
                                included:
                                  type: boolean
                              required:
                                - included
                              type: object
                            swimmingPool:
                              properties:
                                included:
                                  type: boolean
                              required:
                                - included
                              type: object
                          required:
                            - swimmingPool
                            - floodZone
                          type: object
                        id:
                          description: The unique identifier of the quote
                          example: 7c7a39cc-256f-4514-92b9-a75dc37a581d
                          type: string
                        monthlyPremium:
                          description: The monthly premium of the quote
                          example: 100
                          type: number
                        policyType:
                          description: The type of policy
                          enum:
                            - HO3
                            - HO5
                            - HO6
                          example: HO3
                        premium:
                          description: The premium of the quote
                          example: 1200
                          type: number
                        status:
                          description: The status of the quote
                          enum:
                            - SUCCEEDED
                            - FAILED
                          example: SUCCEEDED
                        termLengthMonths:
                          description: The term length of the quote in months
                          example: 12
                          type: number
                      required:
                        - id
                        - policyType
                        - premium
                        - monthlyPremium
                        - termLengthMonths
                        - status
                        - carrierId
                        - carrierName
                        - carrierLogoUrl
                        - agentBridgeLink
                        - endorsements
                        - deductibles
                        - coverages
                        - effectiveDate
                      type: object
                    type: array
                  shortHostedDisplayUrl:
                    description: >-
                      Short URL for the hosted borrower quote experience, when
                      available
                    format: uri
                    type: string
                  status:
                    anyOf:
                      - const: NOT_YET_RATED
                        type: string
                      - const: RC1_RATING
                        type: string
                      - const: RC1_RATED
                        type: string
                      - const: RC2_RATING
                        type: string
                      - const: RC2_RATED
                        type: string
                      - const: RC1_ERRORED
                        type: string
                      - const: CLOSED_WON
                        type: string
                      - const: CLOSED_LOST
                        type: string
                    description: The status of the insurance options
                    example: RC1_RATING
                required:
                  - id
                  - loanId
                  - status
                  - hostedDisplayUrl
                  - quotes
                type: object
            text/plain:
              schema:
                properties:
                  contactPageUrl:
                    description: URL for the contact page for this loan application
                    format: uri
                    type: string
                  hostedDisplayUrl:
                    description: The URL of the hosted display for the insurance options
                    example: >-
                      https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  id:
                    description: The unique identifier of the loan application
                    example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  loanId:
                    type: string
                  quotes:
                    items:
                      description: The quote details
                      properties:
                        agentBridgeLink:
                          description: The bridge link for the agent to the carrier portal
                          example: https://example.com/agent-bridge
                          type: string
                        carrierId:
                          description: The unique identifier of the carrier
                          example: cad7127b-787c-4e33-8240-7344292c2962
                          type: string
                        carrierLogoUrl:
                          description: The URL of the carrier logo
                          example: https://example.com/carrier-logo.png
                          type: string
                        carrierName:
                          description: The name of the carrier
                          example: Carrier Name
                          type: string
                        coverages:
                          properties:
                            a:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            b:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            c:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            computers:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            d:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            e:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            f:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            hvac:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            mineSubsidence:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            waterBackup:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                          required:
                            - a
                            - b
                            - c
                            - d
                            - e
                            - f
                            - waterBackup
                          type: object
                        deductibles:
                          properties:
                            dwelling:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            wind:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                          required:
                            - dwelling
                          type: object
                        discounts:
                          properties:
                            autoBundle:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                              type: object
                          required:
                            - autoBundle
                          type: object
                        effectiveDate:
                          description: The effective date of the quote
                          example: '2024-01-01'
                          format: date
                          type: string
                        endorsements:
                          properties:
                            floodZone:
                              properties:
                                included:
                                  type: boolean
                              required:
                                - included
                              type: object
                            swimmingPool:
                              properties:
                                included:
                                  type: boolean
                              required:
                                - included
                              type: object
                          required:
                            - swimmingPool
                            - floodZone
                          type: object
                        id:
                          description: The unique identifier of the quote
                          example: 7c7a39cc-256f-4514-92b9-a75dc37a581d
                          type: string
                        monthlyPremium:
                          description: The monthly premium of the quote
                          example: 100
                          type: number
                        policyType:
                          description: The type of policy
                          enum:
                            - HO3
                            - HO5
                            - HO6
                          example: HO3
                        premium:
                          description: The premium of the quote
                          example: 1200
                          type: number
                        status:
                          description: The status of the quote
                          enum:
                            - SUCCEEDED
                            - FAILED
                          example: SUCCEEDED
                        termLengthMonths:
                          description: The term length of the quote in months
                          example: 12
                          type: number
                      required:
                        - id
                        - policyType
                        - premium
                        - monthlyPremium
                        - termLengthMonths
                        - status
                        - carrierId
                        - carrierName
                        - carrierLogoUrl
                        - agentBridgeLink
                        - endorsements
                        - deductibles
                        - coverages
                        - effectiveDate
                      type: object
                    type: array
                  shortHostedDisplayUrl:
                    description: >-
                      Short URL for the hosted borrower quote experience, when
                      available
                    format: uri
                    type: string
                  status:
                    anyOf:
                      - const: NOT_YET_RATED
                        type: string
                      - const: RC1_RATING
                        type: string
                      - const: RC1_RATED
                        type: string
                      - const: RC2_RATING
                        type: string
                      - const: RC2_RATED
                        type: string
                      - const: RC1_ERRORED
                        type: string
                      - const: CLOSED_WON
                        type: string
                      - const: CLOSED_LOST
                        type: string
                    description: The status of the insurance options
                    example: RC1_RATING
                required:
                  - id
                  - loanId
                  - status
                  - hostedDisplayUrl
                  - quotes
                type: object
          description: The insurance options for a loan application
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Token
      scheme: bearer
      type: http

````